package database

import "gitlink.org.cn/JointCloud/pcm-coordinator/internal/scheduler/entity"

type Storage interface {
	GetProviderParams() ([]entity.ProviderParams, error)
	FindAvailableParticipants() ([]entity.Participant, error)
}

type NSIDSpecified interface {
	Storage
	NSID() error
}
